using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;


namespace AdornerExample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>


    // Example 18-32. Using an adorner

    partial class Window1 : Window
    {

        public Window1()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(Window1_Loaded);
        }

        void Window1_Loaded(object sender, RoutedEventArgs e)
        {
            AdornerLayer al = AdornerLayer.GetAdornerLayer(targetElement);
            BoxingAdorner myAdorner = new BoxingAdorner(targetElement);
            al.Add(myAdorner);
        }
    }

    // End of Example 18-32
}